package com.steerinfo.meterwork.meterworkcheckfirstactual.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.meterwork.meterworkcheckfirstactual.model.*;
import com.steerinfo.meterwork.meterworkshiftreportgroup.model.MeterWorkShiftReportGroup;

import java.util.HashMap;
import java.util.List;

/**
 * MeterWorkCheckFirstActual服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-12-23 04:50
 * 类描述
 * 修订历史：
 * 日期：2022-12-23
 * 作者：generator
 * 参考：
 * 描述：MeterWorkCheckFirstActual服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterWorkCheckFirstActualService extends IBaseService<MeterWorkCheckFirstActual, String>{
    RESTfulResult addModel(MeterWorkCheckFirstActual model);
    List<HashMap> carFirstActualImgDataList(HashMap<String, Object> params);
    PageList<CarActualCountCheckNum> carActualCountCheckNum(HashMap<String, Object> params);
    PageList<CarFirstCountCheckNum> carFirstCountCheckNum(HashMap<String, Object> params);
    PageList<MeterWorkCheckFirstActualTemp> likeByDesc(HashMap<String, Object> params);
    PageList<CarFirstCountCheckNum> carFirstLikeByDesc(HashMap<String, Object> params);
    PageList<CarActualCountCheckNum> carActualLikeByDesc(HashMap<String, Object> params);

    List<HashMap> railwayFirstImgDataList(HashMap parmas);

    PageList<RailwayFirstCountCheckNum> railwayFirstCountCheckNum(HashMap parmas);

    PageList<RailwayFirstCountCheckNum> railwayFirstLikeByDesc(HashMap parmas);

    PageList<RailwayActualCountCheckNum> railwayActualCountCheckNum(HashMap parmas);

    PageList<RailwayActualCountCheckNum> railwayActualLikeByDesc(HashMap parmas);

    PageList<MeterWorkCheckFirstActualRailwayTemp> railwayLikeByDesc(HashMap parmas);

    PageList<RailwayFirstCountCheckNum> railwayDynamicsFirstCountCheckNum(HashMap parmas);

    PageList<RailwayFirstCountCheckNum> railwayDynamicsFirstLikeByDesc(HashMap parmas);

    List<HashMap> railwayDynamicsFirstImgDataList(HashMap parmas);

    PageList<MeterWorkCheckFirstActualRailwayTemp> railwayDynamicsLikeByDesc(HashMap parmas);
}
